<?php
$sub_menu = "777200";
include_once('./_common.php');

include_once(AMINA_PATH.'/lib/admin.lib.php');

include_once(AMINA_PATH.'/lib/head.lib.php');

include(G5_PATH.'/head.sub.php');

?>
<link rel="stylesheet" href="<?=AMINA_URL?>/css/admin.css" />

<div style="padding:15px;">
	<? $row = sql_fetch("select count(*) as cnt from {$g5['member_table']} where mb_leave_date = '' and mb_intercept_date = ''"); ?>

	<b>■ 총 <?=number_format($row['cnt'])?>명 - 서버부담 감소를 위해 100명씩 산출</b>

	<? if($act) { ?>

		<?
			//회원불러오기
			$result = sql_query("select mb_id from {$g5['member_table']} where mb_leave_date = '' and mb_intercept_date = ''");
			for ($i=0; $row=sql_fetch_array($result); $i++) {
	
				check_xp($row['mb_id']);

				if($i > 0 && $i%100 == 0) {
					echo '<p>- '.number_format($i).'명 완료</p>'."\n";
					sleep(1); //1초간 휴식
				}
			}
		?>

		<script type="text/javascript"> 
			alert('모든 회원의 XP 재산출이 완료되었습니다.');
			window.close(); 
		</script>
	<? } else { ?>
		<ul style="line-height:1.8;">
			<li>회원이 많을 경우 시간이 오래 걸릴 수 있습니다.</li>
			<li>클릭후 완료 메시지 출력까지 기다려 주세요.</li>
		</ul>
		<script type="text/javascript"> 
			function exp_href(href) {
				document.getElementById('loading').style.display = "block";
				document.location.href = encodeURI(href);
			}
		</script>
		<p style="text-align:center;">
			<input type="button" value=" XP(경험치) 재산출하기 " onclick="exp_href('<?=AMINA_URL?>/reset.exp.php?bo_table=<?=$bo_table?>&act=on');" class="btn_blue">
		</p>
	<? } ?>
</div>
<div id="loading" style="display:none;margin-top:30px; text-align:center;">
		<img src="<?=AMINA_URL?>/img/loader.gif" />
		<p>계산 중...</p>
</div>
<? include(G5_PATH.'/tail.sub.php'); ?>